
function getAllPlayers(fIgnoreDiscovery) {
	if (fIgnoreDiscovery==null)
		fIgnoreDiscovery=false;
	var sonosPlayers = [];
	var baseNode = Property.getNode('sonos-players');
	if (baseNode != null) {
		var oArrayNode = baseNode.getChildren();
		for ( var iIndex = 0; iIndex < oArrayNode.length; iIndex++) {
			var oChildNode = oArrayNode[iIndex];
			if ((("" + oChildNode.getChild('notDiscovered').getValue()) != "true") || fIgnoreDiscovery)
				sonosPlayers.push(oChildNode.getChild('ipAddress').getValue());
		}
	}

	return sonosPlayers;
}

Property.setSavedProperty=function (path,value) {
	  Property.setProperty(path, value);
	  Property.setFlag(path, 'ARCHIVE', true);
}